com.microfocus.awm.meta.interfaces

## Interface RFileElement

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RFileElementImpl

      public interface RFileElement
      extends AWMObject

  A representation of the model object 'RFile Element'. If the file descriptor is defined as a structured data, the file element represent an element in the structure.

  The following features are supported:

  - `ID`
  - `Type`
  - `Has File Element`
  - `Has File Attribute`
  - `Mandatory`
  See Also:
    `TaurusPackage.getRFileElement()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<RFileAttribute>` | `getHasFileAttribute()` Returns the value of the 'Has File Attribute' reference list.
    `org.eclipse.emf.common.util.EList<RFileElement>` | `getHasFileElement()` Returns the value of the 'Has File Element' reference list.
    `java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
    `EFileElementType` | `getType()` Returns the value of the 'Type' attribute.
    `boolean` | `isMandatory()` Returns the value of the 'Mandatory' attribute.
    `boolean` | `isSetMandatory()` Returns whether the value of the '`Mandatory`' attribute is set.
    `void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
    `void` | `setMandatory(boolean value)` Sets the value of the '`Mandatory`' attribute.
    `void` | `setType(EFileElementType value)` Sets the value of the '`Type`' attribute.
    `void` | `unsetMandatory()` Unsets the value of the '`Mandatory`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getID

          java.lang.String getID()

      Returns the value of the 'ID' attribute.

      If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'ID' attribute.
      See Also:
        `setID(String)`, `TaurusPackage.getRFileElement_ID()`

    - #### setID

          void setID(java.lang.String value)

      Sets the value of the '`ID`' attribute.
      Parameters:
        `value` - the new value of the 'ID' attribute.
      See Also:
        `getID()`

    - #### getType

          EFileElementType getType()

      Returns the value of the 'Type' attribute. The literals are from the enumeration `EFileElementType`. Specifies the type of the file element
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `EFileElementType`, `setType(EFileElementType)`, `TaurusPackage.getRFileElement_Type()`

    - #### setType

          void setType(EFileElementType value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `EFileElementType`, `getType()`

    - #### getHasFileElement

          org.eclipse.emf.common.util.EList<RFileElement> getHasFileElement()

      Returns the value of the 'Has File Element' reference list. The list contents are of type `RFileElement`.

      If the meaning of the 'Has File Element' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Has File Element' reference list.
      See Also:
        `TaurusPackage.getRFileElement_HasFileElement()`

    - #### getHasFileAttribute

          org.eclipse.emf.common.util.EList<RFileAttribute> getHasFileAttribute()

      Returns the value of the 'Has File Attribute' reference list. The list contents are of type `RFileAttribute`.

      If the meaning of the 'Has File Attribute' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Has File Attribute' reference list.
      See Also:
        `TaurusPackage.getRFileElement_HasFileAttribute()`

    - #### isMandatory

          boolean isMandatory()

      Returns the value of the 'Mandatory' attribute. The default value is `"false"`. Mandatory attributes will cause an exception if no value is available at runtime.
      Returns:
        the value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `setMandatory(boolean)`, `TaurusPackage.getRFileElement_Mandatory()`

    - #### setMandatory

          void setMandatory(boolean value)

      Sets the value of the '`Mandatory`' attribute.
      Parameters:
        `value` - the new value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `isMandatory()`

    - #### unsetMandatory

          void unsetMandatory()

      Unsets the value of the '`Mandatory`' attribute.
      See Also:
        `isSetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

    - #### isSetMandatory

          boolean isSetMandatory()

      Returns whether the value of the '`Mandatory`' attribute is set.
      Returns:
        whether the value of the 'Mandatory' attribute is set.
      See Also:
        `unsetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.